#
# spec file for package pwgen
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pwgen
Version:        2.08
Release:        3.5
Summary:        Password generator
License:        GPL-2.0-or-later
Group:          Productivity/Security
URL:            https://sourceforge.net/projects/pwgen/
Source0:        https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:        https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz.asc
Source2:        %{name}.keyring
Patch0:         pwgen-2.06-fdleaks.patch
BuildRequires:  autoconf
BuildRequires:  automake

%description
pwgen generates random, meaningless but pronounceable and thus easy to
remember passwords. The also contained makepasswd gives even more
options which are more aimed at security.

%prep
%autosetup -p0

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%{_mandir}/man1/%{name}.1%{ext_man}
%{_bindir}/%{name}

%changelog
* Thu Feb 29 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Fri Apr 29 2022 Marcus Meissner <meissner@suse.com>
- switch to https urls
* Wed Nov  8 2017 aavindraa@gmail.com
- updated to version 2.08
  * Suppress trailing space after the last password
  * Make pwgen -s more "secure" for 1 and 2 character passwords
  * Fix option parsing of "pwgen --no-capitalize --no-vowels"
  * Add new option --remove-chars which removes chars from the set of
    characters used to generate passwords
  * Add cross-compilation to debian/rules
  * Update control and copyright files to point at pwgen at github for
    the home directory and primary git repository
- Drop 1 hunk that was fixed upsteam in pwgen-2.06-fdleaks.patch
  * merged in df7d8419ee44088eeeb9df92074914a659e90b15
- Cleanup spec file with spec-cleaner
- Use macros more extensively in spec file
* Sun Jul 12 2015 mpluskal@suse.com
- Add gpg signature
- Use autoreconf
- Cleanup spec file with spec-cleaner
* Tue Dec  9 2014 meissner@suse.com
- updated to version 2.07 (bsc#908992):
  * New upstream version
  * Remove backwards compatibility for no-tty mode.  Addresses
    CVE-2013-4440 (Closes: #725507) (bsc#846397)
  * Fail hard if /dev/urandom and /dev/random are not available.
    Addresses CVE-2013-4442 and Launchpad #1183213 (Closes: #767008)
    (bsc#846397)
  * Fix pwgen -B so that it doesn't accidentally generate passwords with
    ambiguous characters after changing the case of some letters.
    Addresses Launchpad Bugs #638418 and #1349863
  * Fix potential portability bug on architectures where unsgined ints
    are not 4 bytes long
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Tue Oct 12 2010 mrdocs@opensuse.org
- remove rm -rf buildroot in the install section to remove the
  rpmlint warrning
* Tue Sep 21 2010 lnussel@suse.de
- remove superfluous makepasswd script (bnc#619084)
* Fri Oct  2 2009 crrodriguez@opensuse.org
- fix fdleaks including [bnc#529521]
* Thu Jul  5 2007 kssingvo@suse.de
- update to version 2.06:
  * Fix spelling mistakes in the man page pwgen.1
  * Fix bug which would cause pwgen to loop forever if the password
    length specified is 1
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 kssingvo@suse.de
- update to version 2.05
* Wed Jan 11 2006 kssingvo@suse.de
- update to version 2.04
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Sat Jul 26 2003 poeml@suse.de
- fix permissions of documentation, and don't use deprecated chown
  * .* syntax
* Tue May 13 2003 poeml@suse.de
- update to 2.03
  - pw_phonemes.c (pw_phonemes): Fix bug in how we call
    pw_random_number() so that we generate passwords that start
    with vowels, and insert numbers from 0-9, not just 0-8. (Oops!)
    Addresses Debian bug #176688.
- use %%defattr
* Thu Aug  1 2002 ro@suse.de
- fix file ownership
* Thu Aug  1 2002 poeml@suse.de
- add documentation to the filelist
* Thu Aug  1 2002 poeml@suse.de
- update to the successor 2.02
  note: if stdout is not on a terminal, it will behave like the old
- run autoconf and use RPM_OPT_FLAGS
* Tue Apr 17 2001 bjacke@suse.de
- initial build
